public class BookUsingThis {

  private int itemCode;
  private String title;

  public BookUsingThis(int itemCode, String title) {
    setItemCode(itemCode);
    setTitle(title);
  }
  public BookUsingThis(String title) {
    this(0, title);
    /*
      the line above is a call to the first constructor,
      supplying 0 as the value for the itemCode parameter
    */
  }

  public int getItemCode() {
    return itemCode;
  }
  public void setItemCode (int itemCode) {
    if (itemCode > 0) this.itemCode = itemCode; 
  }
  public String getTitle() {
    return title;
  }
  public void setTitle (String title) {
    this.title = title;
  }
  public void display() {
    System.out.println(itemCode + " " + title);
  }
}